
Figure - Bug #118527
【OTA】106版本升级107版本后，在设置-关于中查看版本信息未发生变化
2023-06-05 16:27 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-06-05

Priority: High Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0106.C104(X104)（6.2）

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Release Test Root cause:

Description

前置条件：当前版本01.00.0106.C104

【测试步骤】

制作107版本升级

1.电脑连接中控adb push FSE_update.zip和ota_mgr_fse_client到/data/

2.给push的2个文件chmod 777权限

3.执行指令./data/ota_mgr_fse_client uds_client 0xe80 0x1052 0xe400 192.168.8.16 /data/FSE_update.zip  /data/ota/images.zip

【预期结果】

升级成功，查看版本号变为107版本

【测试结果】

升级前后版本信息未变化

History

#1 - 2023-06-05 19:47 - CDTS-TEST 周婷

- Severity changed from Normal to Critical

#2 - 2023-06-05 20:27 - CD BSP 叶鹏 

重现场看到设备已经变成107版本了，需要复现并保留现场

1、刷机，设备启动之后通过命令查看设备版本信息和slot

adb shell

getprop | grep slot

getprop | grep incr

2、升级，升级完成设备重启之后通过命令再次确认设备版本信息和slot

adb shell

getprop | grep slot

getprop | grep incr

注意，在升级过程中可以通过adb logcat将我们figure的日志抓上

#3 - 2023-06-07 15:30 - CD BSP 叶鹏 

- Status changed from New to NEED_INFO

- Assignee changed from CD BSP 叶鹏  to 物联网测试组_CDTS  唐霞 
走复现流程并抓上uds的日志给客户分析

#4 - 2023-06-08 15:23 - 物联网测试组_CDTS  唐霞 

- Status changed from NEED_INFO to RESOLVED

升级包问题，非问题。关闭问题单

#5 - 2023-06-08 15:23 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

#6 - 2023-06-08 15:23 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED
